Show / Hide Table of Contents

# Interface IOpenIddictApplicationStoreResolver

Exposes a method allowing to resolve an application store.

###### Namespace: OpenIddict.Abstractions

###### Assembly: cs.temp.dll.dll

##### Syntax

    public interface IOpenIddictApplicationStoreResolver

### Methods

#### Get<TApplication>()

Returns an application store compatible with the specified application type or throws an System.InvalidOperationException if no store can be built using the specified type.

##### Declaration

    IOpenIddictApplicationStore<TApplication> Get<TApplication>()
        where TApplication : class

##### Returns

Type | Description
--- | ---
IOpenIddictApplicationStore<TApplication> | An IOpenIddictApplicationStore<TApplication>.

##### Type Parameters

Name | Description
--- | ---
TApplication | The type of the Application entity.